package com.bankaudit.dto.process;

import java.util.List;

import com.bankaudit.process.model.AuditRatingModelOverlay;

public class RatingParameterReportDto {
	
	private String rmCode;
	
	private List<RatingParameterCategoryDto> categoryWiseRatingLst;
	
	private List<AuditRatingSummaryDto> categoryWiseRatingSummaryLst;
	
	private List<AuditRatingModelOverlay> managementOverlayLst;
	
	private List<AuditRatingModelOverlay> deflatorLst;
	
	private AuditRatingScoreDto finalRatingScoreGrade;

	public String getRmCode() {
		return rmCode;
	}

	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}

	public List<RatingParameterCategoryDto> getCategoryWiseRatingLst() {
		return categoryWiseRatingLst;
	}

	public void setCategoryWiseRatingLst(List<RatingParameterCategoryDto> categoryWiseRatingLst) {
		this.categoryWiseRatingLst = categoryWiseRatingLst;
	}

	public List<AuditRatingSummaryDto> getCategoryWiseRatingSummaryLst() {
		return categoryWiseRatingSummaryLst;
	}

	public void setCategoryWiseRatingSummaryLst(List<AuditRatingSummaryDto> categoryWiseRatingSummaryLst) {
		this.categoryWiseRatingSummaryLst = categoryWiseRatingSummaryLst;
	}

	public List<AuditRatingModelOverlay> getManagementOverlayLst() {
		return managementOverlayLst;
	}

	public void setManagementOverlayLst(List<AuditRatingModelOverlay> managementOverlayLst) {
		this.managementOverlayLst = managementOverlayLst;
	}

	public List<AuditRatingModelOverlay> getDeflatorLst() {
		return deflatorLst;
	}

	public void setDeflatorLst(List<AuditRatingModelOverlay> deflatorLst) {
		this.deflatorLst = deflatorLst;
	}

	public AuditRatingScoreDto getFinalRatingScoreGrade() {
		return finalRatingScoreGrade;
	}

	public void setFinalRatingScoreGrade(AuditRatingScoreDto finalRatingScoreGrade) {
		this.finalRatingScoreGrade = finalRatingScoreGrade;
	}
	
	
}
